<template>
	<!-- 谁看过我 -->
	<view class="page">
		<navbar title="谁看过我简历"
		bgColor="#3796F8" 
		leftClick 
		color="#fff"
		@leftClick="$utils.navigateBack"/>
		
		<statisticsNumber title="简历被查看量"/>
		
		<bossList ref="bossList" v-if="!role"/>
	</view>
</template>

<script>
	import bossList from '@/components/list/bossList/index.vue'
	import statisticsNumber from '../components/statistics/statisticsNumber.vue'
	import mixinList from '@/mixins/list.js'
	import { mapState } from 'vuex'
	export default {
		mixins : [mixinList],
		components : {
			statisticsNumber,
			bossList
		},
		data() {
			return {
				options: [
					{
						text: '修改',
						style: {
							backgroundColor: '#ffa12c'
						}
					}, 
					{
						text: '删除',
						style: {
							backgroundColor: '#FA5A0A'
						}
					}, 
				],
				mixinsListApi : 'bossQueryWatchMe',
			}
		},
		computed : {
			...mapState([
				'role', 
			]),
		},
		onLoad() {
			this.mixinsListApi = (this.role ? 'boss' : 'employee') + 'QueryWatchMe'
		},
		methods: {
			clickSwipeAction({e, item}){
				console.log(e, item);
			},
		}
	}
</script>

<style scoped lang="scss">
.page{
	/deep/ .uv-swipe-action{
		width: 100%;
	}
}
</style>